<?php

/* DCMS Special
 * Дата последнего редактирования 06.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Настройки времени');
include_once H . 'sys/inc/thead.php';

err();
aut();


switch ((isset($_GET['m'])) ? htmlspecialchars($_GET['m']) : null) {
    default:
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings/'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Время и дата');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' action='time.php?m=saves' method='POST'>";

        echo lang('Время') . ":<br />";
        echo "<select class='custom-select' name='set_timesdvig'>";
        for ($i = - 12; $i < 12; $i++) {
            echo "<option value = '$i'" . ($user['set_timesdvig'] == $i ? " selected = 'selected'" : null) . ">" . date("G:i", $time + $i * 60 * 60) . "</option>\n";
        }
        echo "</select><br /><br />";

        $doc->Checkbox('set_times', 'Время в правом углу', 1, "" . ($user['set_times'] ? " checked='checked'" : null) . "");
        $doc->Checkbox('set_date', 'Показывать дату', 1, "" . ($user['set_date'] ? " checked='checked'" : null) . "");
        echo "<br />";
        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
        echo "</form>";

        break;

    case 'saves':

        if (isset($_POST['save'])) {
            $user['set_times'] = (isset($_POST['set_times']) && $_POST['set_times']) ? '1' : '0';
            $db->query("UPDATE `user` SET `set_times` = '" . $db->safesql($user['set_times']) . "' WHERE `id` = '$user[id]' LIMIT 1");

            $user['set_date'] = (isset($_POST['set_date']) && $_POST['set_date']) ? '1' : '0';
            $db->query("UPDATE `user` SET `set_date` = '" . $db->safesql($user['set_date']) . "' WHERE `id` = '$user[id]' LIMIT 1");

            if (isset($_POST['set_timesdvig']) && (is_numeric($_POST['set_timesdvig']) && $_POST['set_timesdvig'] >= -12 && $_POST['set_timesdvig'] <= 12)) {
                $user['set_timesdvig'] = intval($_POST['set_timesdvig']);
                $db->query("UPDATE `user` SET `set_timesdvig` = '$user[set_timesdvig]' WHERE `id` = '$user[id]' LIMIT 1");
            } else {
                $err[] = lang('Ошибка временной зоны');
            }

            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: time.php" . SID);
            exit;
        }

        break;
}

include_once H . 'sys/inc/tfoot.php';
